Pular para o conteúdo principal
GET
/
api
/
v1
/
authorization
/
llm
/
check
Python (SDK)
from mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.permissions.llm.check(resource_type="conversation", resource_id="<id>", role="writer")

    # Handle response
    print(res)
{
  "allowed": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.mka1.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parâmetros de consulta

resourceType
enum<string>
obrigatório

Tipo de recurso LLM

Opções disponíveis:
completion,
file,
vector_store,
conversation,
response,
skill
resourceId
string
obrigatório

Identificador único para o recurso

Required string length: 1 - 79
role
enum<string>
obrigatório

Função de permissão para o recurso (proprietário > escritor > leitor)

Opções disponíveis:
owner,
writer,
reader

Resposta

Permissão verificada com sucesso

allowed
boolean
obrigatório

Se o usuário tem a permissão especificada